#include<iostream>
#include<algorithm>
#include<vector>
#include<iomanip>
#define ll  long long
#define MAXN 200050
using namespace std;
pair<int,double> a[MAXN];
bool sortby(const pair<int,double> &a, const pair<int,double> &b) 
{ 
    return (a.second > b.second);
}
int main()
{
	int n;
	cin>>n;
	for(int i=0;i<n;i++) cin>>a[i].first>>a[i].second;
	sort(a,a+n,sortby);
	
	ll sum[MAXN];
	sum[0]=a[0].first;
	for(int i=1;i<n;i++) sum[i]=sum[i-1]+a[i].first;
	
	double maks=0,tr=0;
	for(int i=0;i<n;i++)
	{
		tr=(double)sum[i]/100*a[i].second;
		if(maks<tr) maks=tr;
	}
	cout<<fixed<<setprecision(4)<<maks;
	return 0;
}